From: "David A. Black" Date: 2004-06-11T04:28:51+09:00 Subject: Re: Reply wasn't posted; will test new post Hi -- On Fri, 11 Jun 2004, Austin Ziegler wrote: > dblack@wobblini.net: > > On Thu, 10 Jun 2004, daz wrote: > >> THE MISSING MESSAGES DO *NOT* VIOLATE USENET RFC. > > Here are some excerpts from RFC-1036 (which obsoleted RFC-850): > > > 2.1.4. Subject > > [...] If the message is submitted in response to another message > > (e.g., is a follow-up) the default subject should begin with the > > four characters "Re: ", and the "References" line is required. > > [...] > > > 2.2.5 References > > [...] User interfaces need not make use of this header, but all > > automatically generated follow-ups should generate the > > "References" line for the benefit of systems that do use it, and > > manually generated follow-ups (e.g., typed in well after the > > original message has been printed by the machine) should be > > encouraged to include them as well. > > > Based on this, I would definitely say that "Re: " messages without > > a References header are in violation of this RFC. > > EXCEPT that the statements are "should" (see RFC2119 noted above) > and the header itself is optional. No news software should reject > any message missing the References header, even if best practices > would indicate that the References header is strongly recommended > when "Re: " is present. Both In-Reply-To and References are > *optional* in RFC2822 (the successor to RFC822). The real problem > with RFC1036 is that it (1) requires English (e.g., "Re: ") > backreferences, and (2) attempts to codify usage rules with > technical rules. According to the above, References is "required", not "strongly recommended", for follow-ups. Also, this apparently applies to all follow-ups, while the adding on of "Re: " is only at "should" level. > So, no, technically, messages missing "References:" are not in > violation of RFC1036. They're certainly in violation of parts of it :-) Here's another one: 2.2.5. References This field lists the Message-ID's of any messages prompting the submission of this message. It is required for all follow-up messages, and forbidden when a new subject is raised. (part of the [...] in my earlier excerpt) If References is truly optional (that is, can be put or not put on any message), then someone went to an awful lot of trouble for nothing in writing this paragraph :-) The "forbidden" part is interesting too, because it also weighs in on the side of References not being truly optional. Anyway, I'm not a big fan of this aspect of the document. At best, burying a requirement inside a paragraph on a header you've already declared to be optional is a low-percentage way to go about it. Meanwhile, I think Dennis is implementing the dummy-message thing, so that any messages without references will be sent through as answers to a message that exists for that purpose. This is sub-optimal, from the threading point of view, but at least gets the posts through. > (And no, there's *nothing* that I can do to force them there in > Outlook.) (Don't worry, I wasn't holding my breath :-) David -- David A. Black dblack@wobblini.net